
User Interface - Bug #4072

NPE logging into Hotel GUI with Swing client

05/07/2019 12:19 AM - Eric Faulhaber

Status: Rejected Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

Related issues:

Duplicates User Interface - Bug #4078: cannot login in Hotel demo in Swing mode Closed

History

#1 - 05/07/2019 12:23 AM - Eric Faulhaber

Found with 4045a/11311 and fresh checkout of hotel_gui rev 197. Probably in trunk 11306 as well. To recreate, just start server and log in with Swing

client (embedded web client and virtual desktop web client are ok).

Stack trace:

Caused by: java.lang.NullPointerException

        at com.goldencode.p2j.ui.client.gui.driver.swing.SwingEmulatedWindow.drawStringCenteredWithinBox(Swing

EmulatedWindow.java:1748)

        at com.goldencode.p2j.ui.client.gui.driver.swing.SwingEmulatedWindow.draw(SwingEmulatedWindow.java:112

6)

        at com.goldencode.p2j.ui.client.gui.driver.swing.SwingEmulatedWindow.offer(SwingEmulatedWindow.java:67

3)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.drawStringWithinBox(AbstractGuiDriver.jav

a:1055)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.drawStringWithinBox(AbstractGuiDriver.jav

a:976)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.drawStringWithinBoxWithMnemonic(AbstractG

uiDriver.java:901)

        at com.goldencode.p2j.ui.client.gui.theme.MaterialTheme.drawButton(MaterialTheme.java:532)

        at com.goldencode.p2j.ui.client.gui.ButtonGuiImpl.lambda$draw$0(ButtonGuiImpl.java:529)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.ButtonGuiImpl.draw(ButtonGuiImpl.java:528)

        at com.goldencode.p2j.ui.client.widget.AbstractContainer.draw(AbstractContainer.java:549)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl$GuiScrollContainer.lambda$draw$0(FrameGuiImpl.java:19

10)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl$GuiScrollContainer.draw(FrameGuiImpl.java:1910)

        at com.goldencode.p2j.ui.client.widget.Viewport.draw(Viewport.java:149)

        at com.goldencode.p2j.ui.client.widget.AbstractContainer.draw(AbstractContainer.java:549)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.access$001(BorderedPanelGuiImpl.java:94)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.lambda$null$0(BorderedPanelGuiImpl.java:309)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.lambda$draw$1(BorderedPanelGuiImpl.java:295)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.draw(BorderedPanelGuiImpl.java:245)

        at com.goldencode.p2j.ui.client.gui.ScrollPaneGuiImpl$1.run(ScrollPaneGuiImpl.java:270)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.ScrollPaneGuiImpl.draw(ScrollPaneGuiImpl.java:261)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl.lambda$draw$1(FrameGuiImpl.java:832)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl.draw(FrameGuiImpl.java:820)
        at com.goldencode.p2j.ui.client.Frame.draw(Frame.java:2411)

        at com.goldencode.p2j.ui.client.widget.AbstractContainer.draw(AbstractContainer.java:549)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl$GuiScrollContainer.lambda$draw$0(FrameGuiImpl.java:19

10)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl$GuiScrollContainer.draw(FrameGuiImpl.java:1910)

        at com.goldencode.p2j.ui.client.widget.Viewport.draw(Viewport.java:149)

        at com.goldencode.p2j.ui.client.widget.AbstractContainer.draw(AbstractContainer.java:549)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.access$001(BorderedPanelGuiImpl.java:94)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.lambda$null$0(BorderedPanelGuiImpl.java:309)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.lambda$draw$1(BorderedPanelGuiImpl.java:295)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.draw(BorderedPanelGuiImpl.java:245)

        at com.goldencode.p2j.ui.client.gui.ScrollPaneGuiImpl$1.run(ScrollPaneGuiImpl.java:270)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.ScrollPaneGuiImpl.draw(ScrollPaneGuiImpl.java:261)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl.lambda$draw$1(FrameGuiImpl.java:832)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl.draw(FrameGuiImpl.java:820)

        at com.goldencode.p2j.ui.client.Frame.draw(Frame.java:2411)

        at com.goldencode.p2j.ui.client.widget.AbstractContainer.draw(AbstractContainer.java:549)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl$GuiScrollContainer.lambda$draw$0(FrameGuiImpl.java:19

10)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl$GuiScrollContainer.draw(FrameGuiImpl.java:1910)

        at com.goldencode.p2j.ui.client.widget.Viewport.draw(Viewport.java:149)

        at com.goldencode.p2j.ui.client.widget.AbstractContainer.draw(AbstractContainer.java:549)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.access$001(BorderedPanelGuiImpl.java:94)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.lambda$null$0(BorderedPanelGuiImpl.java:309)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.lambda$draw$1(BorderedPanelGuiImpl.java:295)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.draw(BorderedPanelGuiImpl.java:245)

        at com.goldencode.p2j.ui.client.gui.ScrollPaneGuiImpl$1.run(ScrollPaneGuiImpl.java:270)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.ScrollPaneGuiImpl.draw(ScrollPaneGuiImpl.java:261)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl.lambda$draw$1(FrameGuiImpl.java:832)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.FrameGuiImpl.draw(FrameGuiImpl.java:820)

        at com.goldencode.p2j.ui.client.Frame.draw(Frame.java:2411)

        at com.goldencode.p2j.ui.client.widget.AbstractContainer.draw(AbstractContainer.java:549)

        at com.goldencode.p2j.ui.client.widget.Viewport.draw(Viewport.java:149)

        at com.goldencode.p2j.ui.client.widget.AbstractContainer.draw(AbstractContainer.java:549)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.access$001(BorderedPanelGuiImpl.java:94)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.lambda$null$0(BorderedPanelGuiImpl.java:309)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.lambda$draw$1(BorderedPanelGuiImpl.java:295)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.draw(BorderedPanelGuiImpl.java:245)

        at com.goldencode.p2j.ui.client.gui.ScrollPaneGuiImpl$1.run(ScrollPaneGuiImpl.java:270)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.ScrollPaneGuiImpl.draw(ScrollPaneGuiImpl.java:261)

        at com.goldencode.p2j.ui.client.gui.WindowWorkSpace.draw(WindowWorkSpace.java:138)

        at com.goldencode.p2j.ui.client.widget.AbstractContainer.draw(AbstractContainer.java:549)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.access$001(BorderedPanelGuiImpl.java:94)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.lambda$null$0(BorderedPanelGuiImpl.java:309)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.lambda$draw$1(BorderedPanelGuiImpl.java:295)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:2995)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.draw(AbstractGuiDriver.java:3038)

05/17/2024 2/4



        at com.goldencode.p2j.ui.client.gui.BorderedPanelGuiImpl.draw(BorderedPanelGuiImpl.java:245)

        at com.goldencode.p2j.ui.client.Window.draw(Window.java:1377)

        at com.goldencode.p2j.ui.client.gui.WindowGuiImpl.draw(WindowGuiImpl.java:689)

        at com.goldencode.p2j.ui.client.OutputManager.setInvalidate(OutputManager.java:1378)

        at com.goldencode.p2j.ui.client.gui.driver.GuiOutputManager.setInvalidate(GuiOutputManager.java:213)

        at com.goldencode.p2j.ui.chui.ThinClient.eventDrawingBracket(ThinClient.java:16545)

        at com.goldencode.p2j.ui.chui.ThinClient.independentEventDrawingBracket(ThinClient.java:16401)

        at com.goldencode.p2j.ui.chui.ThinClient.processRepaints(ThinClient.java:15344)

        at com.goldencode.p2j.ui.client.gui.WindowGuiImpl.hide(WindowGuiImpl.java:435)

        at com.goldencode.p2j.ui.client.widget.AbstractWidget.setVisible(AbstractWidget.java:1647)

        at com.goldencode.p2j.ui.client.widget.AbstractWidget.afterConfigUpdateBase(AbstractWidget.java:2783)

        at com.goldencode.p2j.ui.client.Window.afterConfigUpdate(Window.java:2266)

        at com.goldencode.p2j.ui.client.gui.WindowGuiImpl.afterConfigUpdate(WindowGuiImpl.java:1626)

        at com.goldencode.p2j.ui.client.gui.WindowGuiImpl.afterConfigUpdate(WindowGuiImpl.java:263)

        at com.goldencode.p2j.ui.ConfigSyncManager.markScopeEnd(ConfigSyncManager.java:260)

        at com.goldencode.p2j.ui.ConfigManager.syncConfigChanges(ConfigManager.java:558)

        at com.goldencode.p2j.ui.ConfigManager.replaceConfig(ConfigManager.java:431)

        at com.goldencode.p2j.ui.client.Window$4.run(Window.java:877)

        at com.goldencode.p2j.ui.chui.ThinClient.eventBracket(ThinClient.java:16597)

        at com.goldencode.p2j.ui.chui.ThinClient.eventDrawingBracket(ThinClient.java:16539)

        at com.goldencode.p2j.ui.client.Window.pushConfig(Window.java:872)

        at com.goldencode.p2j.ui.chui.ThinClient.pushWindow(ThinClient.java:9479)

        at com.goldencode.p2j.ui.ClientExportsMethodAccess.invoke(Unknown Source)

        at com.goldencode.p2j.util.MethodInvoker.invoke(MethodInvoker.java:156)

        at com.goldencode.p2j.net.Dispatcher.processInbound(Dispatcher.java:757)

        at com.goldencode.p2j.net.Conversation.block(Conversation.java:412)

        at com.goldencode.p2j.net.Conversation.waitMessage(Conversation.java:348)

        at com.goldencode.p2j.net.Queue.transactImpl(Queue.java:1201)

        at com.goldencode.p2j.net.Queue.transact(Queue.java:672)

        at com.goldencode.p2j.net.BaseSession.transact(BaseSession.java:271)

        at com.goldencode.p2j.net.HighLevelObject.transact(HighLevelObject.java:211)

        at com.goldencode.p2j.net.RemoteObject$RemoteAccess.invokeCore(RemoteObject.java:1473)

        at com.goldencode.p2j.net.InvocationStub.invoke(InvocationStub.java:145)

        at com.sun.proxy.$Proxy4.standardEntry(Unknown Source)

        at com.goldencode.p2j.main.ClientCore.start(ClientCore.java:373)

        at com.goldencode.p2j.main.ClientCore.start(ClientCore.java:163)

        at com.goldencode.p2j.main.ClientDriver.start(ClientDriver.java:250)

        at com.goldencode.p2j.main.CommonDriver.process(CommonDriver.java:444)

        at com.goldencode.p2j.main.ClientDriver.process(ClientDriver.java:144)

        at com.goldencode.p2j.main.ClientDriver.main(ClientDriver.java:313)
#2 - 05/09/2019 08:09 AM - Greg Shah

- Duplicates Bug #4078: cannot login in Hotel demo in Swing mode added

#3 - 05/10/2019 01:10 AM - Eric Faulhaber

- Status changed from New to Rejected

Fix will be worked in #4078.
